# Save a chaos v2 experiment

Save a chaos v2 experiment

Endpoint: POST /gateway/chaos/manager/api/rest/v2/experiment
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

## Request fields (application/json):

  - `cronSyntax` (string)

  - `description` (string)

  - `eventsMetadata` (array)

  - `eventsMetadata.environmentIdentifier` (array)

  - `eventsMetadata.faultName` (string)

  - `eventsMetadata.serviceIdentifier` (array)

  - `experimentType` (string)
    Enum: "All", "GamedayWorkflow", "Workflow", "CronWorkflow", "ChaosEngine", "ChaosSchedule"

  - `id` (string)

  - `identity` (string)

  - `infraId` (string)

  - `infraType` (string)
    Enum: "windows", "Windows", "Linux", "CloudFoundry", "Container", "Kubernetes", "KubernetesV2"

  - `isSingleRunCronEnabled` (boolean)

  - `manifest` (string)

  - `name` (string)

  - `recommendation` (object)

  - `recommendation.bySystem` (boolean)

  - `recommendation.reasons` (array)

  - `recommendation.weightage` (integer)

  - `tags` (array)

  - `templateDetails` (object)

  - `templateDetails.hubReference` (string)

  - `templateDetails.identity` (string)

  - `templateDetails.reference` (string)

  - `templateDetails.revision` (string)

  - `templateResources` (object)

  - `templateResources.actions` (array)

  - `templateResources.actions.identity` (string)

  - `templateResources.actions.name` (string)

  - `templateResources.actions.revision` (string)

  - `templateResources.faults` (array)

  - `templateResources.probes` (array)

  - `validateManifest` (boolean)

## Response 200 fields (application/json):

  - `auditAction` (object)

  - `auditAction.auditAction` (string)

  - `auditAction.response` (string)

  - `data` (object)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


